Bug 1019039 - License tag is incorrent and missing.
Summary: License tag is incorrent and missing.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: iputils
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-10-15 04:29 UTC by mejiko
Modified: 2018-06-13 15:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-13 15:44:20 UTC


Attachments (Terms of Use)

Description mejiko 2013-10-15 04:29:09 UTC
Hello.

iputils included BSD Licensed files.
but This is 4-clause BSD License.

FileList:

iputils-s20121221/ping.c
iputils-s20121221/ping6.c
iputils-s20121221/tftp.h
iputils-s20121221/tftpd.c
iputils-s20121221/tftpsubs.c
iputils-s20121221/traceroute6.c

I suggest that fix license tag.

Thanks.

Comment 1 mejiko 2013-10-15 05:21:34 UTC
Blocking FE-Legal, This is license tag is missing.

Comment 2 mejiko 2014-03-15 10:04:27 UTC
Changed to rawhide. 

Is this bug is resolved ?
How it this bug current status ?

Thanks.

Comment 3 Jaroslav Reznik 2015-03-03 15:08:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Jan Kurik 2016-02-24 13:13:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Fedora End Of Life 2017-02-28 09:35:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 mejiko 2017-11-19 07:03:19 UTC
Is this bug is resolved ?
How it this bug current status ?

Thanks.

Comment 7 Fedora End Of Life 2018-02-20 15:31:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 8 Tom "spot" Callaway 2018-06-13 15:44:20 UTC
Since the Copyright holder on this code is "The Regents of the University of California", they waived the "Advertising clause" for all of their BSD licensed code in 1999:

ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change

Thus, the BSD license is correct (and further, the license tag in the Fedora package is correct). Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.